.btn {
    fill: #000;
    color: #000;
    border: none;
    outline: none;
    cursor: pointer;
    min-height: rem(44);
    font-weight: 500;
    font-size: rem(15);
    line-height: rem(20);
    padding: rem(4) rem(20);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border-radius: rem(22);
    background: transparent;
    transition: .3s;

    &:hover {
        fill: #000;
        color: #000;
        background: transparent;
        text-decoration: none;
        transition: .3s;
    }

    &:active {

    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        top: 1px;
        position: relative;
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }

    span + i {
        margin-left: rem(8);
    }

    i + span {
        margin-left: rem(8);
    }
}

.btn-blue {
    fill: $white;
    color: $white;
    background: $blue;

    &:hover {
        fill: $white;
        color: $white;
        background: #2065be;
    }

    &:active {
        fill: $white;
        color: $white;
        background: $blue;
    }
}

.btn-lilac {
    fill: $white;
    color: $white;
    background: $lilac;

    &:hover {
        fill: $white;
        color: $white;
        background: $blue;
    }

    &:active {
        fill: $white;
        color: $white;
        background: $lilac;
    }
}

.btn-white {
    fill: $blue;
    color: $black;
    background: $white;

    &:hover {
        fill: $blue;
        color: $blue;
        background: $white;
    }

    &:active {
        fill: $blue;
        color: $black;
        background: $white;
    }
}

.btn-border {
    background: $white;
    border: 1px solid #DDDFE6;

    &:hover {
        fill: $blue;
        color: $blue;
        border-color: $blue;
    }

    &:active {
        fill: $black;
        color: $black;
        background: $white;
        border-color: #DDDFE6;
    }

    &.active {
        background: $white;
        border-color: $white;
    }
}

.btn-border-gray {
    fill: #736F6D;
    color: #736F6D;
    background: transparent;
    border: 1px solid #736F6D;

    &:hover {
        fill: $black;
        color: $black;
        border-color: $black;
    }

    &:active {
        fill: $black;
        color: $black;
        background: $white;
        border-color: #DDDFE6;
    }

    &.active {
        fill: $black;
        color: $black;
        background: $white;
        border-color: $white;
    }
}

.btn-shadow {
    box-shadow: 0px 20px 20px rgba(54, 95, 159, 0.2);
}

.btn-sm {
    min-height: rem(36);
    padding: rem(4) rem(14);
}

.btn-md {
    font-size: rem(18);
    line-height: rem(24);
    min-height: rem(54);
    border-radius: rem(27);
    padding: rem(4) rem(30);
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}

.btn-nav {
    width: 50px;
    height: 50px;
    fill: $black;
    font-size: 0;
    line-height: 0;
    cursor: pointer;
    border-radius: 50%;
    background: #EDF2FA;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid $lilac;
    transition: .3s;

    i {
        height: 24px;
        display: inline-block;
        flex-shrink: 0;
    }

    &:hover {
        fill: $white;
        background: $lilac;
        transition: .3s;
    }

    &:active {
        fill: $black;
        background: #EDF2FA;
    }
}

.btn-favorite {
    margin: 0;
    padding: 0;
    fill: $black;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    background: transparent;
    font-weight: 500;
    font-size: rem(15);
    line-height: rem(20);
    white-space: nowrap;
    align-items: center;
    display: inline-flex;
    justify-content: center;

    &:before {
        top: 2px;
        position: relative;
        margin-right: rem(8);
        content: attr(data-add);
    }

    i {
        font-size: 0;
        line-height: 0;
        height: rem(24);
        flex-shrink: 0;

        &:first-child {
            display: none;
        }

        &:last-child {
            display: inline-block;
        }
    }

    &.added {
        fill: #FFCC00;

        &:before {
            content: attr(data-added);
        }

        i {

            &:first-child {
                display: inline-block;
            }

            &:last-child {
                display: none;
            }
        }
    }
}

.btn-text {
    padding: 0;
    fill: #66605C;
    color: #66605C;
    min-height: inherit;

    &:hover {
        fill: $black;
        color: $black;
    }

    &:active {
        fill: #66605C;
        color: #66605C;
    }
}
